export default {
  props: {
    // 禁用
    disabled: Boolean,

    // 只读
    readonly: Boolean,
    // 表单校验
    rules: {
      type: Array,
      default: null
    },

    //
    inline: {
      type: Boolean,
      default: false
    },
    showMessage: {
      type: Boolean,
      default: true
    },
    size: String,
    showLabel: {
      type: Boolean,
      default: true
    },
    gutter: {
      type: Number,
      default: 20
    },
    // 表单属性
    formProps: {
      type: Object,
      default: () => ({})
    }
  },
  data() {
    return {
    }
  },
  computed: {
    labelWidth() {
      if (!this.showLabel) return
      if (!this.inline) {
        return this.formProps.labelWidth || '110px'
      }
      return ''
    },
    labelPosition() {
      if (!this.inline) {
        return this.formProps.labelPosition || 'right'
      }
      return ''
    },
    formRules() {
      return this.formProps.rules || this.rules
    }
  },
  methods: {
  }
}
